gle-graphics (4.3.9-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches that are included upstream.
  * Stop creating libgs search path header file.
  * Remove qt6-5compat-dev from Build-Depends.
  * Update Standards-Version to 4.7.3 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sun, 25 Jan 2026 18:12:12 +0100

gle-graphics (4.3.8-1) experimental; urgency=medium

  * New upstream release.
  * Add upstream patch to eliminate stackunderflow in qgle
  * Add upstream patch to set GLE_TOP when creating inittex.ini

 -- Christian T. Steigies <cts@debian.org>  Sun, 19 Oct 2025 18:25:44 +0200

gle-graphics (4.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Recommend libgs10 instead of libgs9. Closes: #1115362
  * Build-depend on pkgconf instead of obsolete pkg-config.
  * Update Standards-Version to 4.7.2 (no changes)
  * New patch: correct ifdef with multiple tokens
  * New patch: fix CMake Warning(dev): CMP0167

 -- Christian T. Steigies <cts@debian.org>  Sun, 31 Aug 2025 20:50:52 +0200

gle-graphics (4.3.6-1) unstable; urgency=medium

  * New upstream release.

 -- Christian T. Steigies <cts@debian.org>  Sun, 13 Apr 2025 20:20:50 +0200

gle-graphics (4.3.5-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Refresh patches, drop obsolete patches.
  * Build-depend on libncurses-dev instead of virtual ncurses-dev package.
  * Install LICENSE.txt in /usr/share/gle-graphics/doc so that qgle can find it.
  * Fix typo in gle manpage.
  * Build-depend on extra-cmake-modules to enable Poppler support.

 -- Christian T. Steigies <cts@debian.org>  Sun, 02 Mar 2025 19:37:33 +0100

gle-graphics (4.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches that have been included upstream.
  * Apply upstream patch move_tiff.
  * Write libgs search path to header for find_gs patch. Closes: #935720
  * Update hardening-no-pie patch.
  * Add project_info.mak to debian/clean.
  * Add autopkg smoketest.
  * qgle does not segfault anymore when modifying text. Closes: #935913

 -- Christian T. Steigies <cts@debian.org>  Tue, 23 Jan 2024 20:49:15 +0100

gle-graphics (4.3.3-3) unstable; urgency=medium

  * update watch file
  * enable building on the hurd
  * drop build-depends on texlive, this is only used by the manual,
    which is now built as a separate package

 -- Christian T. Steigies <cts@debian.org>  Sat, 14 Jan 2023 17:09:14 +0100

gle-graphics (4.3.3-2) unstable; urgency=medium

  * create inittex.ini during build
  * remove deprecated register keyword
  * upload to unstable

 -- Christian T. Steigies <cts@debian.org>  Thu, 05 Jan 2023 17:36:47 +0100

gle-graphics (4.3.3-1) experimental; urgency=medium

  * new upstream version
  * remove throw(ParserError) from functions and variables (closes: #984153)
  * user larger arrays in makefmt/makefmt.cpp
  * hardcode GLE_TOP_DIR to /usr/share/gle-graphics
  * new glebtool binary package for building the manual, add a manpage
  * PDF manual is now in separate gle-graphics-manual package
  * GLE includes and examples are in separate gle-graphics-library package
  * update Standards-Version to 4.6.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sat, 31 Dec 2022 14:30:55 +0100

gle-graphics (4.3.2-1) UNRELEASED; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Mon, 7 Mar 2022 20:53:09 -0500 

gle-graphics (4.3.1-1) UNRELEASED; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Mon, 31 Jan 2022 19:22:24 -0500

gle-graphics (4.3.0-1) UNRELEASED; urgency=low

  * new upstream version, uses cmake instead of autotools
  * use FindCairo.cmake and FindPixman.cairo from freerdp2 package

 -- Christian T. Steigies <cts@debian.org>  Fri, 27 Aug 2021 21:42:32 +0200

gle-graphics (4.2.5-8) unstable; urgency=medium

  * port qgle to Qt5 (closes: #874901, #935913)
  * add qt5-libgs-multiarch patch (closes: #935720)
  * update Standards-Version to 4.5.0 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Mon, 09 Mar 2020 13:10:16 +0100

gle-graphics (4.2.5-7) unstable; urgency=medium

  * fix FTBS using patch from Slávek Banko (closes: #853420)
  * update Standards-Version to 4.1.1 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sun, 29 Oct 2017 20:57:49 +0100

gle-graphics (4.2.5-6) unstable; urgency=medium

  * add patch from Reiner Herrmann to initialize font table
  * point Vcs-Git and Vcs-Browser to the same recommended location
  * Update configure.ac to prevent autoheader from failing
  * fix spelling mistakes found by codespell 
  * remove typo-occured patch (included in codespell) and refresh patches
  * update manpages, use a manpages file

 -- Christian T. Steigies <cts@debian.org>  Thu, 07 Jul 2016 18:45:11 +0200

gle-graphics (4.2.5-5) unstable; urgency=medium

  * Team upload.
  * Apply patch from Reiner Herrmann to fix reproducible build fix to not
    require faketime.  Closes: #821766
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 23 Apr 2016 11:56:53 +0000

gle-graphics (4.2.5-4) unstable; urgency=medium

  * use faketime to build gle-manual PDF files reproducibly

 -- Christian T. Steigies <cts@debian.org>  Tue, 29 Mar 2016 11:48:58 +0200

gle-graphics (4.2.5-3) unstable; urgency=medium

  * replace today in manual with SOURCE_DATE to build reproducibly
  * update watch file
  * fix typo: occurred
  * use secure URIs in Vcs fields

 -- Christian T. Steigies <cts@debian.org>  Sat, 26 Mar 2016 14:04:07 +0100

gle-graphics (4.2.5-2) unstable; urgency=medium

  * build reproducibly by passing SOURCE_DATE_EPOCH to build
  * updated Standards-Version to 3.9.7 (no changes)
  * set Maintainer to Debian Science Maintainers and add myself to Uploaders
  * added Vcs fields

 -- Christian T. Steigies <cts@debian.org>  Sun, 20 Mar 2016 17:07:38 +0100

gle-graphics (4.2.5-1) unstable; urgency=medium

  * new upstream version
  * remove gle.cpp-typo patch

 -- Christian T. Steigies <cts@debian.org>  Tue, 18 Aug 2015 11:55:12 +0200

gle-graphics (4.2.4c-6) unstable; urgency=low

  * update config.{sub,guess} with autools_dev (closes: #727871, #744438)
  * updated Standards-Version to 3.9.6 (no changes)
  * use debhelper 9 and dpkg-buildflags instead of hardening-wrapper,
    enable hardening on sparc
  * patch qgle.pro.in so that LDFLAGS are used (for hardening)

 -- Christian T. Steigies <cts@debian.org>  Tue, 21 Oct 2014 21:59:16 +0200

gle-graphics (4.2.4c-5) unstable; urgency=low

  * fix building on hurd-i386 with workaround from #578320

 -- Christian T. Steigies <cts@debian.org>  Sun, 30 Sep 2012 23:58:58 +0200

gle-graphics (4.2.4c-4) unstable; urgency=low

  * rewrite package description (closes: #685822)

 -- Christian T. Steigies <cts@debian.org>  Wed, 26 Sep 2012 23:07:27 +0200

gle-graphics (4.2.4c-3) unstable; urgency=low

  * pass --build $(DEB_HOST_GNU_TYPE) to configure
  * do not set DEB_BUILD_HARDENING on sparc to fix building on the buildd

 -- Christian T. Steigies <cts@debian.org>  Wed, 27 Jun 2012 21:50:27 +0200

gle-graphics (4.2.4c-2) unstable; urgency=low

  * add libpoppler-glib-dev and libcairo-dev to Build-Depends
  * build package on smetana.debian.org to show that it does not FTBFS 
    on sparc (closes: #669161)

 -- Christian T. Steigies <cts@debian.org>  Tue, 15 May 2012 23:56:53 +0200

gle-graphics (4.2.4c-1) unstable; urgency=low

  * new upstream version (closes: #662710, #667183)
  * updated Standards-Version to 3.9.3 (no changes)
  
 -- Christian T. Steigies <cts@debian.org>  Fri, 11 May 2012 00:01:36 +0200

gle-graphics (4.2.4-1) unstable; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Wed, 11 Jan 2012 22:59:48 +0100

gle-graphics (4.2.3b~rc1-1) experimental; urgency=low

  * new upstream version, includes libgs9 and hurd patches
  * enable hardening with hardening-wrapper
  * fix typos in binaries
  * add Homepage field
  * register gle-manual with doc-base

 -- Christian T. Steigies <cts@debian.org>  Sat, 12 Nov 2011 13:37:12 +0100

gle-graphics (4.2.3b-2) unstable; urgency=low

  * configure with-scripts=no
  * remove glebtool only when it exists
  * do not compress LICENSE.txt as it is read by qgle
  * let qgle search for /usr/lib/libgs.so.9 before any other libgs

 -- Christian T. Steigies <cts@debian.org>  Mon, 07 Nov 2011 22:42:59 +0100

gle-graphics (4.2.3b-1) unstable; urgency=low

  * new upstream version
  * switch from cdbs to debhelper 8
  * update copyright file
  * do no rely on proc on non-linux systems (closes: #644588)
  * do not ship glebtool, which is a helper used only during build
  * add libqt4-opengl-dev to build-depends

 -- Christian T. Steigies <cts@debian.org>  Thu, 20 Oct 2011 22:15:27 +0200

gle-graphics (4.2.2-6) unstable; urgency=low

  * define PATH_MAX to fix building on gnu-hurd

 -- Christian T. Steigies <cts@debian.org>  Fri, 07 Oct 2011 21:20:44 +0200

gle-graphics (4.2.2-5) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * qgle: link with -ldl for all unix targets (closes: #554556)
  * recommend libgs9 instead of libgs8
  * Updated Standards-Version to 3.9.2 (no changes)
  * do not ignore make clean errors

 -- Christian T. Steigies <cts@debian.org>  Thu, 06 Oct 2011 23:10:58 +0200

gle-graphics (4.2.2-4) unstable; urgency=low

  * add libtool and pkg-config to build-depends

 -- Christian T. Steigies <cts@debian.org>  Tue, 06 Apr 2010 22:52:09 +0200

gle-graphics (4.2.2-3) unstable; urgency=low

  * run "autoreconf -vfi" as pre-configure action instead of 
    "aclocal && autoconf" as configure action (closes: #571296)
  * remove autogenerated aclocal.m4 and configure in clean target
  
 -- Christian T. Steigies <cts@debian.org>  Mon, 05 Apr 2010 21:36:40 +0200

gle-graphics (4.2.2-2) unstable; urgency=low

  * upload to unstable
  * Updated Standards-Version to 3.8.4 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Wed, 24 Feb 2010 23:21:37 +0100

gle-graphics (4.2.2-1) experimental; urgency=low

  * new upstream version
  * 001-kfreebsd-support patch is included upstream
  * configure --with-rpath=no

 -- Christian T. Steigies <cts@debian.org>  Wed, 20 Jan 2010 22:59:32 +0100

gle-graphics (4.2.1-2) experimental; urgency=low

  * add patch to allow building on kfreebsd
  * Updated Standards-Version to 3.8.3 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Wed, 09 Sep 2009 00:56:21 +0200

gle-graphics (4.2.1-1) experimental; urgency=low

  * new upstream version
  * added automake and ghostscript to Build-Depends

 -- Christian T. Steigies <cts@debian.org>  Sat, 05 Sep 2009 22:33:51 +0200

gle-graphics (4.2.0-1) experimental; urgency=low

  * new upstream version
  * rename package to gle-graphics

 -- Christian T. Steigies <cts@debian.org>  Fri, 17 Apr 2009 00:36:23 +0200

glx (4.2.0-1) experimental; urgency=low

  * new upstream version
  * Updated Standards-Version to 3.8.0 (no changes)
  * do not ship LICENSE.txt, this is included in debian/copyright
  * addeded simple man and qgle manpages
  * build and ship gle-manual.pdf

 -- Christian T. Steigies <cts@debian.org>  Mon, 13 Apr 2009 14:04:59 +0200

glx (4.1.1) experimental; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Tue, 26 Feb 2008 23:58:04 +0100

glx (4.1.0-rc2-1) experimental; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Thu, 22 Nov 2007 22:52:11 +0100

glx (4.1.0-rc1-1) experimental; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Thu,  4 Oct 2007 00:46:10 +0200

glx (4.0.12-1) experimental; urgency=low

  * new upstream version
  * switch to cdbs, build from upstream "tarball"

 -- Christian T. Steigies <cts@debian.org>  Wed,  3 Oct 2007 12:08:52 +0200

glx (4.0.7-1) unstable; urgency=low

  * Initial Release.

 -- Christian T. Steigies <cts@debian.org>  Sat,  8 Jan 2005 11:31:38 +0100

